# Class GetXmrPrimaryAddressReply

#### Hierarchy

- unknown
  - GetXmrPrimaryAddressReply

- Defined in src/protobuf/grpc_pb.d.ts:3044
- Defined in src/protobuf/grpc_pb.d.ts:3056

#####
Index

### Constructors

constructor

### Methods

getPrimaryAddress
serializeBinary
setPrimaryAddress
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetXmrPrimaryAddressReply(): GetXmrPrimaryAddressReply

- #### Returns GetXmrPrimaryAddressReply

  Inherited from jspb.Message.constructor

## Methods

### getPrimaryAddress

- getPrimaryAddress(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3045

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3048

### setPrimaryAddress

- setPrimaryAddress(value: string): GetXmrPrimaryAddressReply

- #### Parameters

  - ##### value: string

  #### Returns GetXmrPrimaryAddressReply

  - Defined in src/protobuf/grpc_pb.d.ts:3046

### toObject

- toObject(includeInstance?: boolean): GetXmrPrimaryAddressReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetXmrPrimaryAddressReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3049

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrPrimaryAddressReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrPrimaryAddressReply

  - Defined in src/protobuf/grpc_pb.d.ts:3052

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrPrimaryAddressReply, reader: BinaryReader): GetXmrPrimaryAddressReply

- #### Parameters

  - ##### message: GetXmrPrimaryAddressReply

  - ##### reader: BinaryReader

  #### Returns GetXmrPrimaryAddressReply

  - Defined in src/protobuf/grpc_pb.d.ts:3053

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrPrimaryAddressReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetXmrPrimaryAddressReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3051

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetXmrPrimaryAddressReply): GetXmrPrimaryAddressReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrPrimaryAddressReply

  #### Returns GetXmrPrimaryAddressReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3050

Generated using TypeDoc